#if !defined(AFX_BLOCKEDSITEDLG_H__B6571003_849C_11D3_A180_00A0C90AE44B__INCLUDED_)
#define AFX_BLOCKEDSITEDLG_H__B6571003_849C_11D3_A180_00A0C90AE44B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BlockedSiteDlg.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// BlockedSiteDlg dialog

class CBlockedSiteDlg : public CDialog
{
	//DECLARE_DYNCREATE(CBlockedSiteDlg)

// Construction
public:
	CBlockedSiteDlg(CWnd* pParent = NULL);   // standard constructor

	void RemoveBlockedImage();
	void RemoveBlockedSite();
    void UpdateControls( );

	
	CEventData		m_EventData;
	CEventData*		m_pEventData;
	CListCtrl*		m_pListCtrl;
	int				m_nItem;	//index of selected item in the listctrl
	EVENT_TYPE		m_eventtype;
	CBitmap	        m_bmpSite;
	CBitmap         m_bmpImage;

	
// Dialog Data
	//{{AFX_DATA(CBlockedSiteDlg)
	enum { IDD = IDD_BLOCKED_SITE_DLG };
	CString	m_sTime;
	CString	m_sEvent;
	CString	m_sURL;
	CString	m_sPattern;
	CString	m_sContents;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBlockedSiteDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL


	

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBlockedSiteDlg)
	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnNext();
	afx_msg void OnPrevious();
	afx_msg void OnHelp();
	afx_msg void OnBlockImage();
	afx_msg void OnBlockSite();
	afx_msg void OnBlockImageText();
	afx_msg void OnBlockSiteText();
	afx_msg void OnSave();
	afx_msg void OnDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BLOCKEDSITEDLG_H__B6571003_849C_11D3_A180_00A0C90AE44B__INCLUDED_)
