#if !defined(AFX_COOKIERECVDLG_H__42DD3805_7A76_11D3_A180_00A0C90AE44B__INCLUDED_)
#define AFX_COOKIERECVDLG_H__42DD3805_7A76_11D3_A180_00A0C90AE44B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CookieRecvDlg.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CCookieRecvDlg dialog

class CCookieRecvDlg : public CDialog
{
// Construction
public:
	CEventData		m_EventData;
	CEventData*		m_pEventData;
	CListCtrl*	    m_pListCtrl;
	int				m_nItem;	//index of selected item in the listctrl
	EVENT_TYPE		m_eventtype;


	CCookieRecvDlg(CWnd* pParent = NULL);   // standard constructor
	void RemoveDups( CStringArray* pList, LPCSTR pEntry);
	void UpdateControls( );
// Dialog Data
	//{{AFX_DATA(CCookieRecvDlg)
	enum { IDD = IDD_COOKIE_RECEIVED };
	CEdit	m_PatternEdit;
	CButton	m_btnReject;
	CButton	m_btnAccept;
	CString	m_sTime;
	CString	m_sURL;
	CString	m_sContents;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCookieRecvDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:

// Implementation
protected:
	CBitmap	m_bmpAccept;
	CBitmap	m_bmpReject;
	// Generated message map functions
	//{{AFX_MSG(CCookieRecvDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAccept();
	afx_msg void OnReject();
	afx_msg void OnSave();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnCookieAcceptText();
	afx_msg void OnRejectText();
	afx_msg void OnNext();
	afx_msg void OnPrev();
	afx_msg void OnHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COOKIERECVDLG_H__42DD3805_7A76_11D3_A180_00A0C90AE44B__INCLUDED_)
