#if !defined(AFX_EVENTDATA_H__29CD0260_7CE6_11D3_A180_00A0C90AE44B__INCLUDED_)
#define AFX_EVENTDATA_H__29CD0260_7CE6_11D3_A180_00A0C90AE44B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EventData.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EventData window

class CEventData : public CObject
{

public:
	CEventData( ); 
	~CEventData( ) ;

	EVENT_TYPE event;
	CString sTime;
	CString sUrl;
	CString sCommand;	//either GET command or COOKIE data or Error Text
	CString sPattern;	//the pattern that Blocked, Accepted, Rejected

	CEventData( const CEventData &s )  // copy ctor
	{ 
		event = s.event;
		sTime = s.sTime;
		sUrl = s.sUrl;
		sCommand = s.sCommand;
		sPattern = s.sPattern; 
	}

	CEventData& operator=( const CEventData &s )  // assignment operator
	{ 
		event = s.event;
		sTime = s.sTime;
		sUrl = s.sUrl;
		sCommand = s.sCommand;
		sPattern = s.sPattern; 
		return *this; 
	}

};

typedef CArray<CEventData, CEventData&> CEventList;




/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVENTDATA_H__29CD0260_7CE6_11D3_A180_00A0C90AE44B__INCLUDED_)


