#if !defined(AFX_LOG_H__CCC650C0_7980_11D3_A180_00A0C90AE44B__INCLUDED_)
#define AFX_LOG_H__CCC650C0_7980_11D3_A180_00A0C90AE44B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Log.h : header file
//


/////////////////////////////////////////////////////////////////////////////
// CLog dialog

class CLog : public CPropertyPage
{
	DECLARE_DYNCREATE(CLog)

	CLog();
	~CLog();
	void SetSortColumn(int);
	void UpdateControls( );
	void SetEventListSize( );

	CImageList m_ImageList;
	CImageList m_HeaderImageList;
	CHeaderCtrl* m_pHeaderCtrl;
	int m_CurrentSortColumn;
	int m_SortAccending;

	void SaveColumnWidth( int index, int width );
	
// Dialog Data
	//{{AFX_DATA(CLog)
	enum { IDD = IDD_LOG_DLG };
	CListCtrl	m_ListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLog)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnKillActive();
	virtual void OnReset();
	virtual BOOL OnApply();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
public:
	void AddEvent( EVENT_TYPE event, LPCSTR pURL, LPCSTR pMsg, LPCSTR pPattern );
	void AddEvent( EVENT_TYPE event, LPCSTR pURL, LPCSTR pMsg );
private:	
	void AddEvent( EVENT_TYPE event, LPCSTR pTime, LPCSTR pURL, LPCSTR pMsg, LPCSTR pPattern );
	int  AddEventToListCtrl( CEventData* pEvent, int nEventIndex, int nIndex );
	void ReDrawLog( );
	void AddToImageList( int nID );

	CToolTipCtrl m_ToolTip;	

protected:
	void SetColumnWidths( );


	// Generated message map functions
	//{{AFX_MSG(CLog)
	virtual BOOL OnInitDialog();
	afx_msg void OnClearevents();
	afx_msg void OnDblclkLoglist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnCookieAccepted();
	afx_msg void OnCookieRejected();
	afx_msg void OnConnect();
	afx_msg void OnSiteBlocked();
	afx_msg void OnChangeMaxEvents();
	afx_msg void OnCookieSent();
	afx_msg void OnDisablelog();
	//}}AFX_MSG
	afx_msg void OnCustomDrawList(NMHDR* pNMHDR, LRESULT* pResult);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOG_H__CCC650C0_7980_11D3_A180_00A0C90AE44B__INCLUDED_)
