#if !defined(AFX_VIEWER_H__511F2860_07F7_11D4_A181_004033572A05__INCLUDED_)
#define AFX_VIEWER_H__511F2860_07F7_11D4_A181_004033572A05__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Viewer.h : header file
//
#include "DlgStatusbar.h"

/////////////////////////////////////////////////////////////////////////////
// CViewer dialog

class CViewer : public CDialog
{
// Construction
public:
	CViewer(CWnd* pParent = NULL);   // standard constructor
	void AddText( VIEWER_EVENT event, LPCSTR pText );
	

// Dialog Data
	//{{AFX_DATA(CViewer)
	enum { IDD = IDD_VIEWER_DLG };
	CRichEditCtrl	m_RichEdit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewer)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL OnToolTipNotify( UINT id, NMHDR * pTTTStruct, LRESULT * pResult );
	COLORREF		m_crBackground,m_crHTTP,m_crHTML,m_crMessages;	
	BOOL			m_bAutoScroll;
	BOOL			m_bLimitLines;
	int				m_nLines;


private:
	CDlgStatusBar  	m_wndStatusBar;//m_statusBar;  
	CDlgToolBar		m_toolBar;
	int 			m_EventMask;	
	BOOL			m_bModified;
	FINDTEXTEX		m_FindText;
	CString			m_sSearchText;
	CDialog*		m_pFindDialog;	

		
	void MoveControls( );
	BOOL CreateStatusBar( );
	void SetAutoScroll( BOOL );
	void AdjustDialogPosition(CDialog* pDlg);
	void OnStream();
    void EnableControls(BOOL bEnable ); 
	void ShowPropertiesDlg( );
    void DisplayOnTop( );

    afx_msg LRESULT OnFindReplace(WPARAM wParam, LPARAM lParam);
    afx_msg LRESULT OnUpdateViewer(WPARAM wParam, LPARAM lParam);
	
protected:
	// Generated message map functions
	//{{AFX_MSG(CViewer)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnClear();
	afx_msg void OnViewFindreplaceDialog();
	virtual void OnCancel();
	afx_msg void OnEditCut();
	afx_msg void OnEditCopy();
	afx_msg void OnSelchangeRichedit(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_VIEWER_H__511F2860_07F7_11D4_A181_004033572A05__INCLUDED_)
