#if !defined(AFX_BLOCKEDLISTDLG_H__0F5EEC84_7E7C_11D3_A180_00A0C90AE44B__INCLUDED_)
#define AFX_BLOCKEDLISTDLG_H__0F5EEC84_7E7C_11D3_A180_00A0C90AE44B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BlockedListDlg.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CBlockedListDlg dialog

class CBlockedListDlg : public CPropertyPage
{
// Construction
public:
	CBlockedListDlg();   // standard constructor
	void PopulateBlockedList();
	void EditItem( int iIndex, CString* pItem = NULL );
	void DoModified( BOOL );
	void InsertUrl( LPCSTR pUrl, BOOL ) ;

	int FindString( LPCSTR pItem );
	void HighlightItem( int iIndex );
	void EnableDisableControls( );
	void VerifyBlockingFiles( );
	
	CToolTipCtrl m_ToolTip;
	BOOL m_bDirty;
	CImageList m_ImageList;
	COleDropWndTarget m_DropTarget;

// Dialog Data
	//{{AFX_DATA(CBlockedListDlg)
	enum { IDD = IDD_BLOCKED_LIST };
	CListCtrl	m_BlockedListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBlockedListDlg)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void OnReset();
	virtual BOOL OnApply();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void UpdateBlockedList( );

	// Generated message map functions
	//{{AFX_MSG(CBlockedListDlg)
	afx_msg void OnAdd();
	afx_msg void OnEdit();
	afx_msg void OnDelete();
	afx_msg void OnDblclkBlockedList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBrowse(int, CString*);
	afx_msg LRESULT OnDrop(WPARAM wParam, LPARAM lParam );
	virtual BOOL OnInitDialog();
	afx_msg void OnBlockOptions();
	afx_msg void OnDisableblocklist();
	afx_msg void OnChangeBlockedImageFile();
	afx_msg void OnChangeBlockedSiteFile();
	afx_msg void OnBrowseImage();
	afx_msg void OnBrowseSite();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BLOCKEDLISTDLG_H__0F5EEC84_7E7C_11D3_A180_00A0C90AE44B__INCLUDED_)
