// 

#ifndef __IEHLPROBJ_H_
#define __IEHLPROBJ_H_

#include "resource.h"       // main symbols
#include "ExDisp.h"



void _cdecl DebugOut_CompiledOutOfReleaseBuild( TCHAR *format,... );
#ifdef _DEBUG
	#define DebugOut DebugOut_CompiledOutOfReleaseBuild
#else
	#define DebugOut 1 ? (void)0 : DebugOut_CompiledOutOfReleaseBuild
#endif 


/////////////////////////////////////////////////////////////////////////////
// CCookieHlprObj
class ATL_NO_VTABLE CCookieHlprObj : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CCookieHlprObj, &CLSID_CCookieHlprObj>,
	public IObjectWithSiteImpl<CCookieHlprObj>,
	public IDispatchImpl<ICookieHlpr, &IID_ICookieHlpr, &LIBID_COOKIEHLPRLib>
{
public:
   DECLARE_REGISTRY_RESOURCEID(IDR_COOKIEHLPR)
   DECLARE_NOT_AGGREGATABLE(CCookieHlprObj)

   BEGIN_COM_MAP(CCookieHlprObj)
	   COM_INTERFACE_ENTRY(ICookieHlpr)
	   COM_INTERFACE_ENTRY(IDispatch)
   	COM_INTERFACE_ENTRY_IMPL(IObjectWithSite)
   END_COM_MAP()

// ICookieHlpr
public:

   //
   // CCookieHlprObj Methods
   //
   //CCookieHlprObj();
   ~CCookieHlprObj();

   //
   // IDispatch Methods
   //
   STDMETHOD(Invoke)(DISPID dispidMember,REFIID riid, LCID lcid, WORD wFlags,
                     DISPPARAMS * pdispparams, VARIANT * pvarResult,
                     EXCEPINFO * pexcepinfo, UINT * puArgErr);

   //
   // IOleObjectWithSite Methods
   //
	STDMETHOD(SetSite)(IUnknown *pUnkSite);

private:
   CComQIPtr<IWebBrowser2, &IID_IWebBrowser2> m_spWebBrowser2;
//   CEventsDlg m_dlgEvents;

   DWORD m_dwCookie;   // Connection Token - used for Advise and Unadvise

   enum ConnectType { Advise, Unadvise };   // What to do when managing the connection

   BOOL ManageConnection(enum ConnectType eConnectType);
};

#endif //__IEHLPROBJ_H_
