#if !defined(AFX_COOKIELISTDLG_H__91F6A723_7E2F_11D3_A180_00A0C90AE44B__INCLUDED_)
#define AFX_COOKIELISTDLG_H__91F6A723_7E2F_11D3_A180_00A0C90AE44B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CookieListDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCookieListDlg dialog

class CCookieListDlg : public CPropertyPage
{
// Construction
//	DECLARE_DYNCREATE(CCookieListDlg)

public:
	CCookieListDlg();   // standard constructor
	CToolTipCtrl		m_ToolTip;
	COleDropWndTarget	m_DropTarget;


// Dialog Data
	//{{AFX_DATA(CCookieListDlg)
	enum { IDD = IDD_COOKIE_LIST };
	CListCtrl	m_CookieListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCookieListDlg)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void OnReset();
	virtual BOOL OnApply();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	void PopulateCookieList();
	void DoModified( BOOL bDirty );
	void InsertUrl( LPCSTR pUrl, BOOL bAcceptFlag );
protected:

	void EditItem( int iIndex, CString* pItem = NULL );
	int FindString( LPCSTR pItem );
	void HighlightItem( int iIndex );
	void EnableDisableControls( );
	void UpdateCookieLists( );

	CImageList  m_ImageList;
	BOOL	    m_bDirty;
	
	// Generated message map functions
	//{{AFX_MSG(CCookieListDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkCookieList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDelete();
	afx_msg void OnNew();
	afx_msg void OnEdit();
	afx_msg void OnSearchJavascript();
	afx_msg void OnReject();
	afx_msg void OnAccept();
	afx_msg LRESULT OnDrop(WPARAM wParam, LPARAM lParam );
	afx_msg void OnSetfocusCookieList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDisablecookielist();
	afx_msg void OnScanFiles();
	afx_msg void OnClickCookieList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSessionOnly();
	afx_msg void OnDestroy();
	afx_msg void OnScanAll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COOKIELISTDLG_H__91F6A723_7E2F_11D3_A180_00A0C90AE44B__INCLUDED_)
