#if !defined(AFX_DELETECOOKIES_H__8EAFBB81_98F4_11D3_ABBB_0000E8DE2EC4__INCLUDED_)
#define AFX_DELETECOOKIES_H__8EAFBB81_98F4_11D3_ABBB_0000E8DE2EC4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeleteCookies.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDeleteCookies dialog

class CDeleteCookies : public CDialog
{
// Construction
public:
	CDeleteCookies(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDeleteCookies)
	enum { IDD = IDD_DELETE_COOKIES_DLG };
	CListBox	m_DeleteList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeleteCookies)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	CString m_sUrl;
	CString m_sSaveUrl;
	HICON m_hIcon;
	BOOL m_bParsingNetscape;	//if true then parsing the netscape cookies.txt file

private:
	void EnableControls( );
	void ScanCookiesIE( );
	void ScanCookiesNav( );
    void FixUpURL( );

	
protected:
	// Generated message map functions
	//{{AFX_MSG(CDeleteCookies)
	virtual BOOL OnInitDialog();
	afx_msg void OnView();
	afx_msg void OnDblclkDeleteList();
	afx_msg void OnRemove();
	virtual void OnOK();
	afx_msg void OnSelchangeDeleteList();
	afx_msg void OnHelp();
	virtual void OnCancel();
	afx_msg void OnConfirmdelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CViewCookieFile dialog

class CViewCookieFile : public CDialog
{
// Construction
public:
	CViewCookieFile(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CViewCookieFile)
	enum { IDD = IDD_VIEW_COOKIE_FILE };
	CListBox	m_ContentsList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewCookieFile)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	CString m_sFileName;
	BOOL	m_bParsingNetscape;

protected:

	// Generated message map functions
	//{{AFX_MSG(CViewCookieFile)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELETECOOKIES_H__8EAFBB81_98F4_11D3_ABBB_0000E8DE2EC4__INCLUDED_)
