// DlgPropSheet.h : header file
//

#if !defined(AFX_DLGPROPSHEET_H__9016A027_95CA_11D2_A17E_00A0C90AE44B__INCLUDED_)
#define AFX_DLGPROPSHEET_H__9016A027_95CA_11D2_A17E_00A0C90AE44B__INCLUDED_


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CDlgPropSheet

class CDlgPropSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CDlgPropSheet)

// Construction
public:
	void ShowTrayIcon( );
	void DoTimer( int iSpeed );
	

	CDlgPropSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CDlgPropSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

	BOOL ShowWarningMessage( );
    void UpdateTrayIcon( );
    void RemoveTrayIcon( );
	LRESULT OnTaskbarNotify( WPARAM wParam, LPARAM lParam);	
	LRESULT OnSocketMsg( WPARAM wParam, LPARAM lParam);	

	
	NOTIFYICONDATA		m_SystemTray;
	COleDropWndTarget	m_DropTarget;	
	BOOL				m_bShowIconInTray;

private:
    BOOL QuerySaveChanges( );
    void EnableTimers( BOOL bEnable );

// Operations
public:
	void DisplayCookieCopWindow( );
    void SaveChanges( );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgPropSheet)
	public:
	virtual BOOL OnInitDialog();
	protected:
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDlgPropSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CDlgPropSheet)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg BOOL OnQueryEndSession();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGPROPSHEET_H__9016A027_95CA_11D2_A17E_00A0C90AE44B__INCLUDED_)
