#if !defined(AFX_VIEWEROPTIONS_H__511F2860_07F7_11D4_A181_004033572A05__INCLUDED_)
#define AFX_VIEWERVIEWEROPTIONS_H__511F2860_07F7_11D4_A181_004033572A05__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// ViewerOptionsDlg.h : header file



/////////////////////////////////////////////////////////////////////////////
// CViewerOptionsDlg dialog

class CViewerOptionsDlg : public CDialog
{
// Construction
public:
	CViewerOptionsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CViewerOptionsDlg)
	enum { IDD = IDD_VIEWER_OPTIONS_DLG };
	CComboBox	m_FontSizes;
	CComboBox	m_FontNames;
	//}}AFX_DATA


	CViewer*	m_pViewer;
	BOOL GetColor( COLORREF* pColorRef );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewerOptionsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL


private:
 	COLORREF	m_crDlgBackground,m_crDlgHTTP,m_crDlgHTML,m_crDlgMessages;
	CString		m_sFontFace;
	int			m_nFontSize;
	long		m_nStart, m_nEnd;
    BOOL        m_bDirty;
    BOOL        m_bWarningDialogDisplayed;
    BOOL        m_bWarningResponse;

	void UpdateEditControl( COLORREF crOldColor, COLORREF crNewColor );
	void UpdateFontDisplay( );
	void EnumFontSizes( ) ;
	
	static BOOL CALLBACK AFX_EXPORT EnumSizeCallBack(LOGFONT FAR* /*lplf*/,
		LPNEWTEXTMETRIC lpntm, int FontType, LPVOID lpv);

	static BOOL CALLBACK AFX_EXPORT EnumFontNamesCallBack(ENUMLOGFONTEX* pelf,
							NEWTEXTMETRICEX* /*lpntm*/, int FontType, LPARAM pThis);

    BOOL ChangeColorWarning( );


// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CViewerOptionsDlg)
	afx_msg void OnBackgroundColor();
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg void OnHttpColor();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnCcColor();
	afx_msg void OnHtmlColor();
	afx_msg void OnSelchangeFonts();
	afx_msg void OnSelchangeFontsizes();
	afx_msg void OnLimitLines();
	afx_msg void OnUpdateViewer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEWERVIEWEROPTIONS_H__511F2860_07F7_11D4_A181_004033572A05__INCLUDED_)
