/*=========================================================================*/
/*                          Hourglass.cpp                                  */
/*                                                                         */
/*                                                                         */
/*                CookieCop 2 Copyright (c) 2000,2002                      */
/*                       Ziff Davis Media, Inc.                            */
/*                        All rights reserved.							   */
/*																		   */
/*                     Programmed by Mark Sweeney                          */
/*                                                                         */
/*=========================================================================*/
#include "stdafx.h"
#include "hourglass.h"

///////////////////////////////////////////////////////////////
// Hourglass constructor: 
// Change cursor to hourglass, and capture the mouse
//
CHourglass::CHourglass(CWnd *pWnd)
{
   m_hSaveCursor = SetCursor(LoadCursor(NULL, IDC_WAIT));
   if (m_pCapWnd=pWnd)
      pWnd->SetCapture();
}
////////////////////////////////////////////////////////////////
// Hourglass destructor: restore original cursor.
//
CHourglass::~CHourglass()
{
   SetCursor(m_hSaveCursor);
   if (m_pCapWnd)
      ReleaseCapture();
}
